/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.data.CPropertiesFragmentDatas;
import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.CAnnotStyle;
import com.compdfkit.tools.common.views.pdfproperties.basic.CBasicPropertiesFragment;

import java.util.ArrayList;
import java.util.List;

public class CAnnotStyleFragmentAdapter extends FragmentStateAdapter {

    private CAnnotStyle style;

    private List<CPropertiesFragmentDatas.CPropertiesFragmentBean> propertiesClass = new ArrayList<>();

    private CBasicPropertiesFragment.OnSwitchFragmentListener listener;

    public CAnnotStyleFragmentAdapter(CAnnotStyle style, @NonNull FragmentManager fragmentManager, @NonNull Lifecycle lifecycle) {
        super(fragmentManager, lifecycle);
        this.style = style;
        propertiesClass = CPropertiesFragmentDatas.getPropertiesFragmentClass(style);
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        CBasicPropertiesFragment fragment = CPropertiesFragmentDatas.createPropertiesFragment(propertiesClass.get(position).getFragmentClass(), style);
        if (fragment != null) {
            fragment.setSwitchFragmentListener(listener);
        }
        return fragment;
    }

    @Override
    public int getItemCount() {
        return propertiesClass.size();
    }

    public int getTitleByIndex(int index){
        return propertiesClass.get(index).getTitleResId();
    }

    public void setSwitchFragmentListener(CBasicPropertiesFragment.OnSwitchFragmentListener listener) {
        this.listener = listener;
    }
}
