/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.common.views.pdfannotationbar.bean;


import com.compdfkit.core.annotation.CPDFAnnotation;

public enum CAnnotationType {
    UNKNOWN,
    TEXT,
    HIGHLIGHT,
    UNDERLINE,
    SQUIGGLY,
    STRIKEOUT,
    INK,
    CIRCLE,
    SQUARE,
    ARROW,
    LINE,
    FREE_TEXT,
    SIGNATURE,
    STAMP,
    PIC,
    LINK,
    SOUND;

    public static CAnnotationType getType(CPDFAnnotation.Type type){
        try{
            return CAnnotationType.valueOf(type.name());
        }catch (Exception e){
            return CAnnotationType.UNKNOWN;
        }
    }

}
