package com.compdfkit.tools.common.views.pdfannotationbar.data;


import com.compdfkit.tools.R;
import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.CAnnotStyle;
import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.manager.CAnnotStyleManager;
import com.compdfkit.tools.common.views.pdfannotationbar.bean.CAnnotToolBean;
import com.compdfkit.tools.common.views.pdfannotationbar.bean.CAnnotationType;
import com.compdfkit.tools.common.views.pdfview.CPDFViewCtrl;

import java.util.ArrayList;
import java.util.List;

public class CAnnotationToolDatas {

    public static List<CAnnotToolBean> getAnnotationList(CPDFViewCtrl pdfView) {
        List<CAnnotToolBean> list = new ArrayList<>();
        CAnnotStyleManager manager = new CAnnotStyleManager();

        CAnnotStyle noteStyle = manager.getAnnotStyle(pdfView, CAnnotationType.TEXT);
        list.add(new CAnnotToolBean(CAnnotationType.TEXT, R.drawable.tools_ic_annotation_note, noteStyle.getColor()));

        CAnnotStyle highStyle = manager.getAnnotStyle(pdfView, CAnnotationType.HIGHLIGHT);
        list.add(new CAnnotToolBean(CAnnotationType.HIGHLIGHT, R.drawable.tools_ic_annotation_highlight, highStyle.getColor()));

        CAnnotStyle underLineStyle = manager.getAnnotStyle(pdfView, CAnnotationType.UNDERLINE);
        list.add(new CAnnotToolBean(CAnnotationType.UNDERLINE, R.drawable.tools_ic_annotation_underline, underLineStyle.getColor()));

        CAnnotStyle strikeoutStyle = manager.getAnnotStyle(pdfView, CAnnotationType.STRIKEOUT);
        list.add(new CAnnotToolBean(CAnnotationType.STRIKEOUT, R.drawable.tools_ic_annotation_deleteline,strikeoutStyle.getColor()));

        CAnnotStyle squigglyStyle = manager.getAnnotStyle(pdfView, CAnnotationType.SQUIGGLY);
        list.add(new CAnnotToolBean(CAnnotationType.SQUIGGLY, R.drawable.tools_ic_annotation_underline,squigglyStyle.getColor()));

        CAnnotStyle inkStyle = manager.getAnnotStyle(pdfView, CAnnotationType.INK);
        list.add(new CAnnotToolBean(CAnnotationType.INK, R.drawable.tools_ic_annotation_ink, inkStyle.getColor()));

        list.add(new CAnnotToolBean(CAnnotationType.SQUARE, R.drawable.tools_ic_annotation_shape_rectangle));
        list.add(new CAnnotToolBean(CAnnotationType.CIRCLE, R.drawable.tools_ic_annotation_shape_circular));
        list.add(new CAnnotToolBean(CAnnotationType.ARROW, R.drawable.tools_ic_annotation_shape_arrow));
        list.add(new CAnnotToolBean(CAnnotationType.LINE, R.drawable.tools_ic_annotation_link));
        list.add(new CAnnotToolBean(CAnnotationType.SIGNATURE, R.drawable.tools_ic_annotation_sign));
        list.add(new CAnnotToolBean(CAnnotationType.STAMP, R.drawable.tools_ic_annotation_stamp));
        list.add(new CAnnotToolBean(CAnnotationType.PIC, R.drawable.tools_ic_annotation_pic));
        list.add(new CAnnotToolBean(CAnnotationType.LINK, R.drawable.tools_ic_annotation_link));
        list.add(new CAnnotToolBean(CAnnotationType.SOUND, R.drawable.tools_ic_annotation_pic));
        return list;
    }


}
