/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 * <p>
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.common.views.pdfproperties.basic;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;

import com.compdfkit.core.annotation.CPDFBorderStyle;
import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.CAnnotStyle;
import com.compdfkit.tools.annotation.pdfproperties.pdfannotstyle.viewmodel.CAnnotStyleViewModel;
import com.compdfkit.tools.common.views.pdfproperties.colorpicker.widget.ColorPickerView;


public abstract class CBasicPropertiesFragment extends Fragment implements CAnnotStyle.OnAnnotStyleChangeListener {

    protected CAnnotStyleViewModel viewModel;

    protected OnSwitchFragmentListener switchFragmentListener;

    protected boolean isOnResume = false;

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        viewModel = new ViewModelProvider(getActivity()).get(CAnnotStyleViewModel.class);
    }

    @Override
    public void onResume() {
        super.onResume();
        isOnResume = true;
    }

    @Override
    public void onPause() {
        super.onPause();
        isOnResume = false;
    }

    protected void showColorPickerFragment(int color, int opacity, ColorPickerView.COnColorChangeListener listener) {
        if (switchFragmentListener != null) {
            switchFragmentListener.colorPickerFragment(color, opacity, listener);
        }
    }

    protected void previousFragment() {
        if (switchFragmentListener != null) {
            switchFragmentListener.previousFragment();
        }
    }

    @Override
    public void onChangeAnnotColor(int color) {

    }

    @Override
    public void onChangeAnnotColorOpacity(int opacity) {

    }

    @Override
    public void onChangeAnnotBorderWidth(float borderWidth) {

    }

    @Override
    public void onChangeAnnotLineColor(int color) {

    }

    @Override
    public void onChangeAnnotLineColorOpacity(int opacity) {

    }

    @Override
    public void onChangeAnnotFillColor(int color) {

    }

    @Override
    public void onChangeAnnotFillColorOpacity(int opacity) {

    }


    @Override
    public void onChangeAnnotBorderStyle(CPDFBorderStyle style) {

    }

    public void setSwitchFragmentListener(OnSwitchFragmentListener switchFragmentListener) {
        this.switchFragmentListener = switchFragmentListener;
    }

    public interface OnSwitchFragmentListener {

        void colorPickerFragment(int color, int opacity, ColorPickerView.COnColorChangeListener colorChangeListener);

        void previousFragment();
    }
}
