package com.compdfkit.tools.common.views.pdfproperties.preview;


import android.content.Context;
import android.util.AttributeSet;
import android.widget.FrameLayout;

import androidx.annotation.ColorInt;
import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

 abstract class CBasicAnnotPreviewView extends FrameLayout {

    public CBasicAnnotPreviewView(@NonNull Context context) {
        this(context, null);
    }

    public CBasicAnnotPreviewView(@NonNull Context context, @Nullable AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public CBasicAnnotPreviewView(@NonNull Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        bindView();
        initView();
    }

    protected abstract void bindView();


    protected abstract void initView();

    public void setColor(@ColorInt int color){}

    public void setColorOpacity(@IntRange(from = 0, to = 255) int colorOpacity){}

    public void setBorderWidth(int borderWidth){

    }

     public void setBorderColor(@ColorInt int color){}

     public void setBorderColorOpacity(@IntRange(from = 0, to = 255) int colorOpacity){}

     public void setDashedGsp(int dashedSpace){}

     public void setShapeType(CAnnotShapePreviewView.CShapeView.ShapeType shapeType){}
}
